#ifndef ADDMESSAGE_H
#define ADDMESSAGE_H
#include "ftpaccess.h"
#include "InputFileCtl.h"
#include "InputCtl.h"
#include <qpushbutton.h>
#include <qradiobutton.h>
#include <qlistbox.h>

class AddMessage : public QWidget {
	Q_OBJECT
public:
	AddMessage(ftpaccess *f, bool rdm=false, QWidget *parent=0, char *wname=0);
	~AddMessage();
public slots:
	void okButtonPressed();
	void cancelButtonPressed();
	void atChanged();
	void clsChanged();
signals:
	void MessageAdded(bool,ftpmessage *);
private:
	bool		readme;
	ftpmessage *	message;
	QRadioButton *	atLogin;
	QRadioButton *	atCwd;
	InputFileCtl *	filename;
	InputFileCtl *	dir;
	QRadioButton *	anyClass;
	QRadioButton *	selClasses;
	QListBox *	classes;
	QPushButton *	ok;
	QPushButton *	cancel;
	ftpaccess *	ftpxs;
};
#endif
